/*
 * @Author: zc
 * @Description: 常用意见管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
/**
 * 查询常用意见
 * @param {object} params
 */
export function commonList(params:object) {
    return request({
        url: `/api/v1/CommonP/common-list`,
        method: 'get',
        params
    });
}
/**
 * 新增常用意见
 * @param {object} data
 */
export function addCommon(data:object) {
    return request({
        url: `/api/v1/CommonP/add-common`,
        method: 'post',
        data
    });
}
/**
 * 删除常用意见
 * @param {object} data
 */
export function deleteCommon(data:object) {
    return request({
        url: `/api/v1/CommonP/del-common`,
        method: 'post',
        data
    });
}
/**
 * 获取省市区
 * @param 
 */
export function treeArea() {
    return request({
        url: `/api/v1/CommonP/tree-area`,
        method: 'get',
    });
}